Name:           contractor
Summary:        Desktop-wide extension service
Version:        0.3.2
Release:        9%{?dist}
License:        GPLv3+
URL:            https://launchpad.net/contractor

Source0:        https://launchpad.net/%{name}/loki/%{version}/+download/%{name}-%{version}.tar.xz

BuildRequires:  /usr/bin/pkg-config

BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  vala
BuildRequires:  vala-tools

BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(glib-2.0)

Requires:       dbus


%description
An extension service that allows apps to use the exposed functionality
of registered apps. This way, apps don't have to have the functions hard
coded into them.

Designed for elementary OS.


%prep
%autosetup


%build
mkdir build && pushd build
%cmake ..
%make_build
popd


%install
pushd build
%make_install
popd

# Create the the directory where other programs put their contracts
mkdir -p %{buildroot}/%{_datadir}/contractor


%files
%doc HACKING

%{_bindir}/contractor

%dir %{_datadir}/contractor
%{_datadir}/dbus-1/services/org.elementary.contractor.service


%changelog
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 23 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.2-6
- Make BR on /usr/bin/pkg-config explicit.

* Sun Jan 01 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.2-5
- Own contract directory explicitly.

* Sun Jan 01 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.2-4
- Clean up spec file.

* Thu Sep 29 2016 Fabio Valentini <decathorpe@gmail.com> - 0.3.2-3
- Mass rebuild.

* Mon Sep 19 2016 Fabio Valentini <decathorpe@gmail.com> - 0.3.2-2
- Spec file cosmetics.

* Thu Aug 11 2016 Fabio Valentini <decathorpe@gmail.com> - 0.3.2-1
- Update to version 0.3.2.


